Package gov.nasa.gsfc.sscweb.schema

# Class GroundStationConjunction

java.lang.Object
gov.nasa.gsfc.sscweb.schema.GroundStation
gov.nasa.gsfc.sscweb.schema.GroundStationConjunction

public class GroundStationConjunction extends GroundStation
Ground Station conjunction. <p>Java class for GroundStationConjunction complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="GroundStationConjunction"> <complexContent> <extension base="{http://sscweb.gsfc.nasa.gov/schema}GroundStation"> <sequence> <element name="ConjunctionArea" type="{http://sscweb.gsfc.nasa.gov/schema}ConjunctionArea"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ConjunctionArea`
  `conjunctionArea`
  Conjunction Area.

  ### Fields inherited from class gov.nasa.gsfc.sscweb.schema.GroundStation

  `id, location, name`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroundStationConjunction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConjunctionArea`
  `getConjunctionArea()`
  Conjunction Area.
  `void`
  `setConjunctionArea(ConjunctionArea value)`
  Sets the value of the conjunctionArea property.

  ### Methods inherited from class gov.nasa.gsfc.sscweb.schema.GroundStation

  `getId, getLocation, getName, setId, setLocation, setName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### conjunctionArea

    protected ConjunctionArea conjunctionArea
    Conjunction Area.

- ## Constructor Details

  - ### GroundStationConjunction

    public GroundStationConjunction()

- ## Method Details

  - ### getConjunctionArea

    public ConjunctionArea getConjunctionArea()
    Conjunction Area.
    Returns:
      possible object is `ConjunctionArea`

  - ### setConjunctionArea

    public void setConjunctionArea(ConjunctionArea value)
    Sets the value of the conjunctionArea property.
    Parameters:
      `value` - allowed object is `ConjunctionArea`
    See Also:
      - `getConjunctionArea()`